Subject: Bug#1104: Keyboard Not Work in Session of Gnome

From: Elder Vicente <[email-masked]>
Date: Fri, 21 Oct 2016 21:44:26 +0000

Package: x2goclient

Version: 4.0.5.2 (Qt - 4.8.6)

I have an server Linux (Centos) that run X2Go Server, and some clients (Mac and Linux) access this server with X2Go Client. For this clients, I don't have any problem.

But, in one client that has the operation system Windows 7, the keyboard do not work. In this client, when I run X2Goclient, I see  the session of Gnome but the keys pressed in keyboard do not change any thing in session Gnome.

In this client, I also tried run PyHoca-Gui (0.5.0.4). But, I had the same problem.

Can you help me?

Confg. of my profile in X2Go client:
[20161021211038302000]
defsndport = 1
sshproxyautologin = 1
forwardsshagent = 0
useiconv = 0
iconvfrom = UTF-8
height = 600
pack = 16m-jpeg
uniquehostkeyaliases = 0
directrdp = 0
sshproxysameuser = 0
sshproxysamepass = 0
quality = 9
maxdim = 0
fullscreen = 0
sessiontitle =
layout = us
useexports = 0
sshproxytype = SSH
width = 800
speed = 2
krblogin = 0
sshproxyuser =
rdpoptions = -u X2GO_USER -p X2GO_PASSWORD
soundsystem = pulse
clipboard = both
autostart = 0
print = 0
type = pc105/us
setsessiontitle = 0
sndport = 4713
usesshproxy = 0
usemimebox = 0
xinerama = 0
usekbd = 0
variant = basic
autologin = 1
sshproxykeyfile =
sshproxyport = 22
applications = TERMINAL, WWWBROWSER, MAILCLIENT, OFFICE
host = xxx.xxx.xxx.xxx
display = 1
mimeboxextensions =
multidisp = 0
key =
directrdpsettings =
fstunnel = 1
icon = :icons/128x128/x2gosession.png
sound = 0
autoconnect = 0
rootless = 0
mimeboxaction = OPEN
name = xxx.xxx.xxx.xxx
rdpport = 3389
iconvto = UTF-8
rdpserver =
restoreexports = 0
soundtunnel = 1
sshproxyhost = proxyhost.mydomain
rdpclient = rdesktop
command = GNOME
startsoundsystem = 0
published = 0
sshport = 1026
export =
setdpi = 0
xdmcpserver = localhost
dpi = 96
user = XXX